# QSslConfiguration Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QSslConfiguration()
- void QSslConfiguration(QSslConfiguration other)

### Constructor Properties

- prototype: The QSslConfiguration prototype object
- QSslConfiguration defaultConfiguration()
- void setDefaultConfiguration(QSslConfiguration configuration)

### Prototype Object Properties

- List caCertificates()
- List ciphers()
- bool isNull()
- QSslCertificate localCertificate()
- QSslConfiguration operator_assign(QSslConfiguration other)
- bool operator_equal(QSslConfiguration other)
- QSslCertificate peerCertificate()
- List peerCertificateChain()
- int peerVerifyDepth()
- PeerVerifyMode peerVerifyMode()
- QSslKey privateKey()
- SslProtocol protocol()
- QSslCipher sessionCipher()
- void setCaCertificates(List certificates)
- void setCiphers(List ciphers)
- void setLocalCertificate(QSslCertificate certificate)
- void setPeerVerifyDepth(int depth)
- void setPeerVerifyMode(PeerVerifyMode mode)
- void setPrivateKey(QSslKey key)
- void setProtocol(SslProtocol protocol)

### Instance Properties

QSslConfiguration objects have no special properties beyond those inherited from the QSslConfiguration prototype object.